Skip to content
Snippets Groups Projects
Commit 01fec841 authored by Eric Vidal's avatar Eric Vidal :speech_balloon:
Browse files

upgpkg: 5.13.1-3

parent a2866ab3
Branches
Tags
No related merge requests found
#!/usr/bin/bash
# Copyright (c) 2015-2019 Eric Vidal <eric@obarun.org>
# All rights reserved.
#
# This file is part of Obarun. It is subject to the license terms in
# the LICENSE file found in the top-level directory of this
# distribution.
# This file may not be copied, modified, propagated, or distributed
# except according to the terms contained in the LICENSE file.
PROG="${0}"
install=0
reset='\033[0m'
red='\033[1;31m'
green='\033[1;32m'
yellow='\033[1;33m'
bold='\033[1m'
out() {
local errno="${1}" color="${2}" msg="${@:3}"
printf "${PROG}: ${color}%s${reset}: %s\n" "${errno}" "$msg" >&1
}
out_trace() {
out "tracing" "${bold}" "${@}"
}
out_success() {
out "success" "${green}" "${@}"
}
out_warn(){
out "warning" "${yellow}" "${@}"
}
out_error(){
out "fatal" "${red}" "${@}"
}
out_usage() {
out "usage" "${reset}" "${@}"
}
die() {
out_error "${@}"
exit 111
}
extra_pkg=( "openssh" "git" )
out_trace "Install extra packages"
pacman -Sy ${extra_pkg[@]} --noconfirm || die "Unable to install extra packages"
out_trace "Starts ssh-agent"
eval $(ssh-agent)
out_trace "Configure ssh"
mkdir -p ~/.ssh || die "Unable to create ~/.ssh directory"
echo "${ssh_private_key}"| tr -d '\r' > ~/.ssh/id_rsa
chmod 700 ~/.ssh/id_rsa || die "Unable to change permissions of ~/.ssh/id_rsa"
ssh-add ~/.ssh/id_rsa || die "Unable to add key ~/.ssh/id_rsa"
echo ${ssh_known_host} > ~/.ssh/known_hosts
out_trace "Configure git"
git config --global user.name ${GITLAB_USER_NAME}
git config --global user.email ${GITLAB_USER_EMAIL}
out_trace "Cd to /tmp"
cd /tmp
out_trace "Clone git@${CI_SERVER_HOST}:/${CI_PROJECT_PATH}.git"
git clone git@${CI_SERVER_HOST}:/${CI_PROJECT_PATH}.git || die "Unable to clone git@${CI_SERVER_HOST}:/${CI_PROJECT_PATH}.git"
out_trace "Cd to ${CI_PROJECT_NAME}"
cd ${CI_PROJECT_NAME}
out_trace "Checkout to branch ${pkg_target}"
git checkout ${pkg_target} || die "Unable to checkout to ${pkg_target}"
out_trace "Retrieve pkgver and pkgrel variables from PKGBUILD"
source trunk/PKGBUILD || die "Unable to source PKGBUILD"
out_trace "Make directory of version: ${pkgver}-${pkgrel}"
mkdir -p version/${pkgver}-${pkgrel} || die "Unable to make directory version/${pkgver}-${pkgrel}"
out_trace "Copy file from trunk to version/${pkgver}-${pkgrel}"
cp trunk/* version/${pkgver}-${pkgrel} || die "Unable to copy trunk/* to version/${pkgver}-${pkgrel}"
if ! git diff-index --quiet HEAD; then
out_trace "Git add new file"
git add . || die "Unable to git add"
out_trace "Git commit message: upgpkg: ${pkgver}-${pkgrel}"
git commit -m "upgpkg: ${pkgver}-${pkgrel}" || die "Unable to commit"
out_trace "Push the new version"
git push --all || die "Unable to push at git@${CI_SERVER_HOST}:/${CI_PROJECT_PATH}.git"
fi
exit 0
......@@ -6,6 +6,7 @@ variables:
ssh_private_key: "$SSH_PRIVATE_KEY"
ssh_known_host: "$SSH_KNOWN_HOSTS"
pkg_target: "$CI_COMMIT_REF_NAME"
repo_conf: ".repositories.conf"
# followed variable are ignored but
# need to be set
pkg_track: "branch"
......@@ -18,10 +19,7 @@ stages:
build_repo:
stage: build
script:
# you can specify the directory where find pkgbuild
# with e.g builder.sh --chdir=trunk
# you can ask to install the package after a build
# e.g builder.sh --install
- cp ./${repo_conf} /etc/${repo_conf}
- builder.sh --chdir=trunk
artifacts:
......@@ -41,4 +39,4 @@ deploy:
- trunk/PKGBUILD
script:
- ./.deploy.sh
- deploy.sh
#[obcore-testing]
#SigLevel = Required
#Server = https://repo.obarun.org/obcore/testing/
[obcore]
SigLevel = Required
Server = https://repo.obarun.org/obcore
#[obextra-testing]
#SigLevel = Required
#Server = https://repo.obarun.org/obextra/testing
[obextra]
SigLevel = Required
Server = https://repo.obarun.org/obextra
#[obcommunity-testing]
#SigLevel = Required
#Server = https://repo.obarun.org/obcommunity/testing
[obcommunity]
SigLevel = Required
Server = https://repo.obarun.org/obcommunity
#[obmultilib-testing]
#SigLevel = Required
#Server = https://repo.obarun.org/obmultilib/testing
[obmultilib]
SigLevel = Required
Server = https://repo.obarun.org/obmultilib
#[observice-testing]
#SigLevel = Required
#Server = https://repo.obarun.org/observice/testing
[observice]
SigLevel = Required
Server = https://repo.obarun.org/observice
#[testing]
#Include = /etc/pacman.d/mirrorlist
[core]
Include = /etc/pacman.d/mirrorlist
[extra]
Include = /etc/pacman.d/mirrorlist
#[community-testing]
#Include = /etc/pacman.d/mirrorlist
[community]
Include = /etc/pacman.d/mirrorlist
#[multilib-testing]
#Include = /etc/pacman.d/mirrorlist
#[multilib]
#Include = /etc/pacman.d/mirrorlist
# Obarun : 66 init/supervisor
# Maintainer : Jean-Michel T.Dydak <jean-michel@obarun.org> <jean-michel@syntazia.org>
# Maintainer : Eric Vidal <eric@obarun.org>
# PkgSource : https://framagit.org/obarun-pkgbuild-extra/qt5-base
#--------------
## PkgSource : https://www.archlinux.org/packages/extra/x86_64/qt5-base/
## Maintainer : Felix Yan <felixonmars@archlinux.org>
## Contributor: Andrea Scarpino <andrea@archlinux.org
#--------------------------------------------------------------------------------------
# Obarun : 66 init/supervisor
# Maintainer : Eric Vidal <eric@obarun.org>
# Maintainer : Jean-Michel T.Dydak <jean-michel@obarun.org>
# PkgSource : url="https://framagit.org/pkg/obextra/qt5-base"
#-----------------------------------------------------------------------------------------------
#-----------------------------------------| DESCRIPTION |---------------------------------------
pkgbase=qt5-base
pkgname=(qt5-base qt5-xcb-private-headers)
_qtver=5.13.0
pkgver=${_qtver/-/}
pkgrel=8
arch=('x86_64')
url="https://www.qt.io"
license=('GPL3' 'LGPL3' 'FDL' 'custom')
pkgdesc="A cross-platform application and UI framework"
_qtver=5.13.1
pkgver=${_qtver/-/}
pkgrel=3
_pkgfqn="${pkgbase/5-/}-everywhere-src-${_qtver}"
url="https://www.qt.io"
source=("http://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfqn}.tar.xz"
qtbase-qxcbwindow.patch::"https://code.qt.io/cgit/qt/qtbase.git/patch/?id=0c183117"
qtbase-zlib-compression.patch::"https://code.qt.io/cgit/qt/qtbase.git/patch/?id=cbdc9a77"
virtualbox-focus.patch)
conflicts=(
'qtchooser')
groups=(
'qt'
'qt5')
depends=(
'libjpeg-turbo'
'xcb-util-keysyms'
'xcb-util-renderutil'
'libgl'
'fontconfig'
'xdg-utils'
'shared-mime-info'
'xcb-util-wm'
'libxrender'
'libxi'
'sqlite'
'xcb-util-image'
'mesa'
'tslib'
'libinput'
'libxkbcommon-x11'
'libproxy'
'libcups'
'double-conversion')
'qtbug-77364.patch')
#-------------------------------------| BUILD CONFIGURATION |-----------------------------------
makedepends=(
'libfbclient'
'mariadb-libs'
......@@ -60,17 +35,9 @@ makedepends=(
'cups'
'freetds'
'vulkan-headers')
optdepends=(
'qt5-svg: to use SVG icon themes'
'qt5-translations: for some native UI translations'
'postgresql-libs: PostgreSQL driver'
'mariadb-libs: MariaDB driver'
'unixodbc: ODBC driver'
'libfbclient: Firebird/iBase driver'
'freetds: MS SQL driver'
'gtk3: GTK platform plugin')
#--------------------------------------| BUILD PREPARATION |------------------------------------
#--------------------------------------------------------------------------------------
prepare() {
cd ${_pkgfqn}
......@@ -80,12 +47,12 @@ prepare() {
mkspecs/common/gcc-base.conf
sed -i -e "s|^\(QMAKE_LFLAGS_RELEASE.*\)|\1 ${LDFLAGS}|" \
mkspecs/common/g++-unix.conf
patch -p1 -i ../qtbase-qxcbwindow.patch # Fix NVIDIA freeze
patch -p1 -i ../qtbase-zlib-compression.patch # Change the default compression back to zlib for backwards compatibility
patch -p1 -i ../virtualbox-focus.patch # Fix virtualbox constantly stealing focus https://bugreports.qt.io/browse/QTBUG-76742
patch -p1 -i ../qtbug-77364.patch # Fix keyboard input in webengine
}
#--------------------------------------------| BUILD |------------------------------------------
build() {
cd ${_pkgfqn}
......@@ -115,6 +82,8 @@ build() {
make
}
#-------------------------------------------| PACKAGE |-----------------------------------------
package_qt5-base() {
pkgdesc='A cross-platform application and UI framework'
......@@ -150,7 +119,52 @@ package_qt5-xcb-private-headers() {
cp -r src/plugins/platforms/xcb/*.h "$pkgdir"/usr/include/qtxcb-private/
}
#--------------------------------------------------------------------------------------
#------------------------------------| INSTALL CONFIGURATION |----------------------------------
arch=('x86_64')
conflicts=(
'qtchooser')
groups=(
'qt'
'qt5')
depends=(
'libjpeg-turbo'
'xcb-util-keysyms'
'xcb-util-renderutil'
'libgl'
'fontconfig'
'xdg-utils'
'shared-mime-info'
'xcb-util-wm'
'libxrender'
'libxi'
'sqlite'
'xcb-util-image'
'mesa'
'tslib'
'libinput'
'libxkbcommon-x11'
'libproxy'
'libcups'
'double-conversion')
optdepends=(
'qt5-svg: to use SVG icon themes'
'qt5-translations: for some native UI translations'
'postgresql-libs: PostgreSQL driver'
'mariadb-libs: MariaDB driver'
'unixodbc: ODBC driver'
'libfbclient: Firebird/iBase driver'
'freetds: MS SQL driver'
'gtk3: GTK platform plugin')
#-------------------------------------| SECURITY AND LICENCE |----------------------------------
license=('GPL3' 'LGPL3' 'FDL' 'custom')
sha512sums=('33b74cd6e8a7671b6f621ffee1e0d572ad52463eab1f041e11f769fe01706ce187601bfe93211cd00b0138a3ff9698d5138476de7c141d52f4ec330672709580'
'1174da76c8f2df71f8778b3ec6a5d5171b203f519652650ca099446207a53fd052b450c1ae944e70a963695f90e32a22ecb957a1738054c05eb731521247f28c'
'1785bfde1685cb4e8fc0128ac6e338761ec00d0f70a68b97ba176b01ab539178ac3746eb67eed3c2039c30f076475e2e87bc31fe2a9b7fce499e6324646cad31'
......
From d4e937a6280f34bc1cce8c8cea3806a741312fbc Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?B=C5=82a=C5=BCej=20Szczygie=C5=82?= <spaz16@wp.pl>
Date: Tue, 25 Sep 2018 18:45:10 +0200
Subject: xcb: Don't get initial screen rotation
"xcb_randr_get_screen_info" can be slow and in some configurations can
cause short mouse cursor freezes (which will happen on Qt application
startup).
Initial screen rotation was used only to not handle possible redundant
screen change event.
Fixes: QTBUG-70760
Change-Id: I9f01325a045d2c82c4dd2fce91a18a34e54a4bcd
Reviewed-by: Gatis Paeglis <gatis.paeglis@qt.io>
---
src/plugins/platforms/xcb/qxcbscreen.cpp | 7 -------
src/plugins/platforms/xcb/qxcbscreen.h | 2 +-
2 files changed, 1 insertion(+), 8 deletions(-)
diff --git a/src/plugins/platforms/xcb/qxcbscreen.cpp b/src/plugins/platforms/xcb/qxcbscreen.cpp
index 7f2793b2b7..a696e2a311 100644
--- a/src/plugins/platforms/xcb/qxcbscreen.cpp
+++ b/src/plugins/platforms/xcb/qxcbscreen.cpp
@@ -118,13 +118,6 @@ QXcbVirtualDesktop::QXcbVirtualDesktop(QXcbConnection *connection, xcb_screen_t
xcb_depth_next(&depth_iterator);
}
-
- if (connection->hasXRandr()) {
- xcb_connection_t *conn = connection->xcb_connection();
- auto screen_info = Q_XCB_REPLY(xcb_randr_get_screen_info, conn, screen->root);
- if (screen_info)
- m_rotation = screen_info->rotation;
- }
}
QXcbVirtualDesktop::~QXcbVirtualDesktop()
diff --git a/src/plugins/platforms/xcb/qxcbscreen.h b/src/plugins/platforms/xcb/qxcbscreen.h
index 6438669e7a..792aca4b06 100644
--- a/src/plugins/platforms/xcb/qxcbscreen.h
+++ b/src/plugins/platforms/xcb/qxcbscreen.h
@@ -220,7 +220,7 @@ private:
xcb_randr_crtc_t m_crtc;
xcb_randr_mode_t m_mode = XCB_NONE;
bool m_primary = false;
- uint8_t m_rotation = XCB_RANDR_ROTATION_ROTATE_0;
+ uint8_t m_rotation = 0;
QString m_outputName;
QSizeF m_outputSizeMillimeters;
--
cgit v1.2.1
diff --git a/src/widgets/kernel/qwidget.cpp b/src/widgets/kernel/qwidget.cpp
index 04290a4ce1..27773d5762 100644
--- a/src/widgets/kernel/qwidget.cpp
+++ b/src/widgets/kernel/qwidget.cpp
@@ -6446,7 +6446,7 @@ void QWidget::setFocusProxy(QWidget * w)
if (changingAppFocusWidget) {
QWidget *newDeepestFocusProxy = d_func()->deepestFocusProxy();
- QApplicationPrivate::focus_widget = newDeepestFocusProxy ? newDeepestFocusProxy : this;
+ QApplicationPrivate::setFocusWidget(newDeepestFocusProxy ? newDeepestFocusProxy : this, Qt::NoFocusReason);
}
}
diff --git a/src/plugins/platforms/xcb/qxcbwindow.cpp b/src/plugins/platforms/xcb/qxcbwindow.cpp
index 9382488b74..1bf1ab268d 100644
--- a/src/plugins/platforms/xcb/qxcbwindow.cpp
+++ b/src/plugins/platforms/xcb/qxcbwindow.cpp
@@ -848,7 +848,7 @@ void QXcbWindow::doFocusOut()
connection()->setFocusWindow(nullptr);
relayFocusToModalWindow();
// Do not set the active window to nullptr if there is a FocusIn coming.
- connection()->focusInTimer().start(400);
+ connection()->focusInTimer().start(100);
}
struct QtMotifWmHints {
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Please register or to comment